Bug 28109 - mutt crashes (coredump) when attaching message
Summary: mutt crashes (coredump) when attaching message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mutt   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-17 03:41 UTC by martin.macok
Modified: 2014-03-17 02:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-17 03:41:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description martin.macok 2001-02-17 03:41:27 UTC
When I attach a message from mailbox (shift+a in send window, select
folder, tag messages and "q" ... oops) mutt (often) crashes:
segmentation fault (core dumped)  mutt
$ gdb mutt core
...
#0  0x40275c34 in __libc_realloc (oldmem=0x40316688, bytes=161)
---Type <return> to continue, or q <return> to quit---
    at malloc.c:3289
3289    malloc.c: No such file or directory.
        in malloc.c

% rpm -q mutt glibc slang
mutt-1.2.5i-6
glibc-2.2.1-3
slang-1.4.2-1

With RH7.0 it never happend but with RH7.1b and Rawhide it happens.

Comment 1 Bill Nottingham 2001-04-03 04:17:05 UTC
AFAIK, this was a compiler issue that's fixed with the current compiler.


Note You need to log in before you can comment on or make changes to this bug.